## org.apache.poi.hssf.record.chart
Class DefaultDataLabelTextPropertiesRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.DefaultDataLabelTextPropertiesRecord

    public final class DefaultDataLabelTextPropertiesRecord

extends StandardRecord

The default data label text properties record identifies the text characteristics of the preceding text record.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `CATEGORY_DATA_TYPE_ALL_TEXT_CHARACTERISTIC`
`static short` `CATEGORY_DATA_TYPE_SHOW_LABELS_CHARACTERISTIC`
`static short` `CATEGORY_DATA_TYPE_VALUE_AND_PERCENTAGE_CHARACTERISTIC`
`static short` `sid`

Constructor Summary
`DefaultDataLabelTextPropertiesRecord()`
`DefaultDataLabelTextPropertiesRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` `clone()`
`short` `getCategoryDataType()` Get the category data type field for the DefaultDataLabelTextProperties record.
`protected int` `getDataSize()`
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` `setCategoryDataType(short field_1_categoryDataType)` Set the category data type field for the DefaultDataLabelTextProperties record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### CATEGORY_DATA_TYPE_SHOW_LABELS_CHARACTERISTIC

    public static final short CATEGORY_DATA_TYPE_SHOW_LABELS_CHARACTERISTIC

See Also:
  Constant Field Values

### CATEGORY_DATA_TYPE_VALUE_AND_PERCENTAGE_CHARACTERISTIC

    public static final short CATEGORY_DATA_TYPE_VALUE_AND_PERCENTAGE_CHARACTERISTIC

See Also:
  Constant Field Values

### CATEGORY_DATA_TYPE_ALL_TEXT_CHARACTERISTIC

    public static final short CATEGORY_DATA_TYPE_ALL_TEXT_CHARACTERISTIC

See Also:
  Constant Field Values

Constructor Detail

### DefaultDataLabelTextPropertiesRecord

    public DefaultDataLabelTextPropertiesRecord()

### DefaultDataLabelTextPropertiesRecord

    public DefaultDataLabelTextPropertiesRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getCategoryDataType

    public short getCategoryDataType()

  Get the category data type field for the DefaultDataLabelTextProperties record.

  Returns:
    One of CATEGORY_DATA_TYPE_SHOW_LABELS_CHARACTERISTIC CATEGORY_DATA_TYPE_VALUE_AND_PERCENTAGE_CHARACTERISTIC CATEGORY_DATA_TYPE_ALL_TEXT_CHARACTERISTIC

### setCategoryDataType

    public void setCategoryDataType(short field_1_categoryDataType)

  Set the category data type field for the DefaultDataLabelTextProperties record.

  Parameters:
    `field_1_categoryDataType` - One of CATEGORY_DATA_TYPE_SHOW_LABELS_CHARACTERISTIC CATEGORY_DATA_TYPE_VALUE_AND_PERCENTAGE_CHARACTERISTIC CATEGORY_DATA_TYPE_ALL_TEXT_CHARACTERISTIC

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.